Bug 1225 - cups-common doesn't respect packaging guidelines
: cups-common doesn't respect packaging guidelines
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Dmitry Mikhirev
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-10 14:12 MSK by Stanislav Hanzhin
Modified: 2013-01-09 10:31 MSK (History)
3 users (show)

See Also:
RPM Package: cups-common-1.5.4-2-rosa2012.1.i586
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Hanzhin 2012-12-10 14:12:59 MSK
Description of problem:
Package cups-common doesn't respect packaging policies [1].

In file https://abf.rosalinux.ru/import/cups/blob/rosa2012.1/cups.spec

%install
...
%files common
...
%{_datadir}/locale/*/*.po
...

[1] http://wiki.rosalab.ru/ru/index.php/Localization_policy
Comment 1 Dmitry Mikhirev 2012-12-20 19:06:55 MSK
Buil lists:
https://abf.rosalinux.ru/build_lists/857670
https://abf.rosalinux.ru/build_lists/857671

Advisory:
Inproper handling of localization files was fixed.

For testing this package install it and ensure that not all files in /usr/share/locale/*/cups_*.po were installed but only matching locales installed in your system.
Comment 2 Vladimir Potapov 2012-12-22 17:49:04 MSK
How to check package? Cups-common already installed And can not be removed, after update to this version, number of *po files don't decrement.
Comment 3 Vladimir Potapov 2012-12-28 15:30:13 MSK
cups-common-1.5.4-2.1-rosa2012.1
******************* Advisory ***********************
Inproper handling of localization files was fixed.
****************************************************
QA Verified